<?php

namespace Drupal\Tests\google_appliance\Functional;

use Drupal\Tests\block\Traits\BlockCreationTrait;
use Drupal\Tests\BrowserTestBase;
use Drupal\Tests\user\Traits\UserCreationTrait;
use Drupal\user\Entity\Role;
use Drupal\user\RoleInterface;

/**
 * Defines a base class for Google Appliance tests.
 */
abstract class GoogleApplianceFunctionalTestBase extends BrowserTestBase {

  use BlockCreationTrait;
  use UserCreationTrait;

  /**
   * Admin user.
   *
   * @var \Drupal\user\UserInterface
   */
  protected $adminUser;

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'filter',
    'google_appliance',
    'block',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    parent::setUp();
    $this->adminUser = $this->createUser([
      'administer google appliance',
      'access google appliance content',
    ]);
    // Let anonymous users access search results.
    $role = Role::load(RoleInterface::ANONYMOUS_ID);
    $role->grantPermission('access google appliance content')->save();
  }

}
